--#############################################################################
--
-- Headline: Module top


--#############################################################################
-- Entity

library ieee;
use ieee.std_logic_1164.all;

entity mdl is
  port(
    clk_i    : in  std_logic;
    a_i      : in  std_logic;
    z_proc_o : out std_logic;
    z_conc_o : out std_logic);
end entity;


--#############################################################################
-- Architecture

library ieee;
use ieee.numeric_std.all;

architecture syn of mdl is

begin

  -- Process generate of FF
  process (clk_i) is
  begin
    if rising_edge(clk_i) then
      z_proc_o <= a_i;
    end if;
  end process;

  -- Concurrent generate of FF
  z_conc_o <= a_i when rising_edge(clk_i);


end architecture;


--#############################################################################
-- EOF
